> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Logs

> Get audit log feed for a team.

**Required Role:** VIEWER or higher

**Query Parameters:**
- `resource_type`: Filter by resource (task, execution, secret, location, member, notification, vault_connection, api_key)
- `event_type`: Filter by event (task_created, execution_completed, etc.)
- `actor_type`: Filter by actor (user, system, api_key)
- `start_date`: Filter events from this date (ISO 8601)
- `end_date`: Filter events until this date (ISO 8601)
- `page`: Page number (default: 1)
- `limit`: Items per page (default: 25, max: 250)



## OpenAPI

````yaml GET /v1/teams/{team_id}/audit-logs
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/audit-logs:
    get:
      tags:
        - Audit Logs
      summary: List Audit Logs
      description: >-
        Get audit log feed for a team.


        **Required Role:** VIEWER or higher


        **Query Parameters:**

        - `resource_type`: Filter by resource (task, execution, secret,
        location, member, notification, vault_connection, api_key)

        - `event_type`: Filter by event (task_created, execution_completed,
        etc.)

        - `actor_type`: Filter by actor (user, system, api_key)

        - `start_date`: Filter events from this date (ISO 8601)

        - `end_date`: Filter events until this date (ISO 8601)

        - `page`: Page number (default: 1)

        - `limit`: Items per page (default: 25, max: 250)
      operationId: list_audit_logs_v1_teams__team_id__audit_logs_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: resource_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by resource type
            title: Resource Type
          description: Filter by resource type
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by event type
            title: Event Type
          description: Filter by event type
        - name: actor_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by actor type
            title: Actor Type
          description: Filter by actor type
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter events from this date (ISO 8601)
            title: Start Date
          description: Filter events from this date (ISO 8601)
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter events until this date (ISO 8601)
            title: End Date
          description: Filter events until this date (ISO 8601)
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 250
            minimum: 1
            description: Items per page
            default: 25
            title: Limit
          description: Items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AuditLogResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_AuditLogResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AuditLogResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: PaginatedResponse[AuditLogResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditLogResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        event_type:
          type: string
          title: Event Type
        resource_type:
          type: string
          title: Resource Type
        resource_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Resource Id
        resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Name
        actor_type:
          type: string
          title: Actor Type
        actor_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Actor Id
        actor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor Name
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        summary:
          type: string
          title: Summary
        event_metadata:
          additionalProperties: true
          type: object
          title: Event Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - event_type
        - resource_type
        - actor_type
        - summary
        - created_at
      title: AuditLogResponse
      description: Single audit log entry.
    PaginationResponse:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - limit
        - total
        - total_pages
      title: PaginationResponse
      description: Pagination metadata in responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````